# _embedded_hal_watchdog_WatchdogDisable in k210_hal::prelude - Rust
Disables a running watchdog timer so the processor won’t be reset.
Keywords: rust, rustlang, rust-lang, _embedded_hal_watchdog_WatchdogDisable

# Trait k210_hal::prelude::_embedded_hal_watchdog_WatchdogDisable

source · [−]

    pub trait _embedded_hal_watchdog_WatchdogDisable {
        type Error;
        fn try_disable(&mut self) -> Result<(), Self::Error>;
    }

Expand description

Disables a running watchdog timer so the processor won’t be reset.

## Associated Types

source

#### type Error

An enumeration of `WatchdogDisable` errors.

For infallible implementations, will be `Infallible`

## Required methods

source

#### fn try_disable(&mut self) -> Result<(), Self::Error>

Disables the watchdog

## Implementors